#pragma once

#include "Mix/Tool/Win32/Core/Dynamics/BoxShape.h"

class btBoxShape;

namespace Mix{ namespace Tool{ namespace Win32{ namespace Dynamics{ namespace Impl{

	class BoxShape : public Mix::Tool::Win32::Dynamics::BoxShape
	{
	private:
		btBoxShape* m_pShape;
		D3DXVECTOR3 m_HalfExtents;

	public:
		BoxShape( void );
		virtual ~BoxShape( void );

		bool Initialize( const D3DXVECTOR3& halfExtents );

	public:
		virtual D3DXVECTOR3 GetHalfExtents( void ) const;

	public:
		virtual void* Bullet_GetCollisionShape( void );
	};

}}}}}
